net.minecraft.world.gen.structure

## Class ComponentVillageWoodHut

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.ComponentVillage
    - - net.minecraft.world.gen.structure.ComponentVillageWoodHut

-     public class ComponentVillageWoodHut
      extends ComponentVillage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentVillageWoodHut(ComponentVillageStartPiece par1ComponentVillageStartPiece, int par2, Random par3Random, StructureBoundingBox par4StructureBoundingBox, int par5)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
    `static ComponentVillageWoodHut` | `func_74908_a(ComponentVillageStartPiece par0ComponentVillageStartPiece, List par1List, Random par2Random, int par3, int par4, int par5, int par6, int par7)`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `buildComponent, findIntersecting, getBoundingBox, getCenter, getComponentType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentVillageWoodHut

          public ComponentVillageWoodHut(ComponentVillageStartPiece par1ComponentVillageStartPiece,
                                 int par2,
                                 Random par3Random,
                                 StructureBoundingBox par4StructureBoundingBox,
                                 int par5)

  - ### Method Detail

    - #### func_74908_a

          public static ComponentVillageWoodHut func_74908_a(ComponentVillageStartPiece par0ComponentVillageStartPiece,
                                             List par1List,
                                             Random par2Random,
                                             int par3,
                                             int par4,
                                             int par5,
                                             int par6,
                                             int par7)

    - #### addComponentParts

          public boolean addComponentParts(World par1World,
                                  Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox)

      second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
      Specified by:
        `addComponentParts` in class `StructureComponent`